summarylogtreecommitdiffstats
path: root/binggpt-ee.sh
diff options
context:
space:
mode:
authorzxp198210052024-03-22 15:01:44 +0800
committerzxp198210052024-03-22 15:01:44 +0800
commita18d49ac1a19e3214cb154d2e17ec845a9a13232 (patch)
treecc42248ff1e09cc2a17a3c2987466edbb9f25785 /binggpt-ee.sh
parent59ce1e65df55195e87fbdeb6da2f6cda09ea2e7f (diff)
downloadaur-binggpt-ee-bin.tar.gz
fix errors
Diffstat (limited to 'binggpt-ee.sh')
-rw-r--r--binggpt-ee.sh5
1 files changed, 3 insertions, 2 deletions
diff --git a/binggpt-ee.sh b/binggpt-ee.sh
index 86cb3dc6a9bf..7ddcaab8d734 100644
--- a/binggpt-ee.sh
+++ b/binggpt-ee.sh
@@ -2,6 +2,7 @@
set -e
_APPDIR="/usr/lib/@appname@"
_RUNNAME="${_APPDIR}/@runname@"
+_OPTIONS="@options@"
export PATH="${_APPDIR}:${PATH}"
export LD_LIBRARY_PATH="${_APPDIR}/swiftshader:${_APPDIR}/lib:${LD_LIBRARY_PATH}"
export ELECTRON_IS_DEV=0
@@ -9,7 +10,7 @@ export ELECTRON_FORCE_IS_PACKAGED=true
export NODE_ENV=production
cd "${_APPDIR}"
if [[ $EUID -ne 0 ]] || [[ $ELECTRON_RUN_AS_NODE ]]; then
- exec electron@electronversion@ "${_RUNNAME}" "$@" || exit $?
+ exec electron@electronversion@ "${_RUNNAME}" "${_OPTIONS}" "$@" || exit $?
else
- exec electron@electronversion@ "${_RUNNAME}" --no-sandbox "$@" || exit $?
+ exec electron@electronversion@ "${_RUNNAME}" "${_OPTIONS}" --no-sandbox "$@" || exit $?
fi \ No newline at end of file